
////////////////////////////////////////////////////////////////////////
// This is an auto-generated built using makePolycone.py.  It defines
// points to be used to build a G4Polycone. Prior to including this file,
// the vector fInnerVessel must be define in a way equivalent to
// 
// class Point {
//  public:
//      Point(double z, double i, double o): fZ(z), fInner(i), fOuter(o) {}
//      double fZ;
//      double fInner;
//      double fOuter;
//  };
//
// std::vector<Point> fInnerVessel;
//
////////////////////////////////////////////////////////////////////////

// Filename:  captain-inner-vessel-inner-boundary.txt
// Inner boundary of the CAPTAIN cryostat inner vessel hand digitized using
// engauge on Nov 20, 2015 by Clark McGrew.  The coordinates are measured in
// millimeters with the top of the cryostat at -X, the bottom at +X, and the
// diameter located along the Y axis.  The X coordinate is measured from the
// top of the flange with the nominal LAr surface located 24 inches (609.6 mm)
// below the flange.  The first point is at the approximate top surface of the
// flange.
//
// COMMENT: This includes the lid and the flange as part of the inner vessel.
// The outer vessel is assumed to stop when it reaches the lower edge of the
// flange.

// Filename:  captain-inner-vessel-outer-boundary.txt
// Outer boundary of the CAPTAIN cryostat inner vessel hand digitized using
// engauge on Nov 20, 2015 by Clark McGrew.  The coordinates are measured in
// millimeters with the top of the cryostat at -X, the bottom at +X, and the
// diameter located along the Y axis.  The X coordinate is measured from the
// top of the flange with the nominal LAr surface located 24 inches (609.6 mm)
// below the flange.  The first point is at the approximate top surface of the
// flange.
//
// COMMENT: This includes the lid and the flange as part of the inner vessel.
// The outer vessel is assumed to stop when it reaches the lower edge of the
// flange.

fInnerVessel.push_back(Point(-578.400000,0.000000,0.000000));
fInnerVessel.push_back(Point(-578.100000,0.000000,33.275495));
fInnerVessel.push_back(Point(-577.500000,0.000000,231.460426));
fInnerVessel.push_back(Point(-572.700000,0.000000,231.460426));
fInnerVessel.push_back(Point(-572.100000,0.000000,256.142464));
fInnerVessel.push_back(Point(-570.900000,0.000000,268.393122));
fInnerVessel.push_back(Point(-570.300000,0.000000,269.438822));
fInnerVessel.push_back(Point(-555.600000,0.000000,269.868988));
fInnerVessel.push_back(Point(-555.000000,76.929097,269.886546));
fInnerVessel.push_back(Point(-554.100000,219.979070,269.912882));
fInnerVessel.push_back(Point(-553.500000,222.204299,269.930440));
fInnerVessel.push_back(Point(-539.400000,222.204450,270.343049));
fInnerVessel.push_back(Point(-538.800000,178.976408,222.204457));
fInnerVessel.push_back(Point(-538.200000,222.204463,230.526783));
fInnerVessel.push_back(Point(-472.800000,222.205168,229.619252));
fInnerVessel.push_back(Point(-472.200000,222.205174,231.732859));
fInnerVessel.push_back(Point(-468.300000,222.205216,273.140480));
fInnerVessel.push_back(Point(-467.100000,222.205229,283.933909));
fInnerVessel.push_back(Point(-466.500000,225.415561,288.505624));
fInnerVessel.push_back(Point(-463.200000,254.458451,313.650054));
fInnerVessel.push_back(Point(-460.800000,271.840510,331.801809));
fInnerVessel.push_back(Point(-459.000000,285.097151,343.644187));
fInnerVessel.push_back(Point(-456.000000,311.675124,363.163693));
fInnerVessel.push_back(Point(-453.600000,337.263290,378.531175));
fInnerVessel.push_back(Point(-450.600000,361.588783,396.912506));
fInnerVessel.push_back(Point(-445.200000,392.631623,430.397681));
fInnerVessel.push_back(Point(-442.200000,409.932480,448.485456));
fInnerVessel.push_back(Point(-440.700000,419.873586,457.022733));
fInnerVessel.push_back(Point(-434.700000,459.333118,482.216639));
fInnerVessel.push_back(Point(-433.200000,466.135351,488.441981));
fInnerVessel.push_back(Point(-367.200000,738.782817,762.107953));
fInnerVessel.push_back(Point(-365.100000,746.523301,769.044991));
fInnerVessel.push_back(Point(-361.800000,758.387068,778.945838));
fInnerVessel.push_back(Point(-350.700000,793.014143,812.547809));
fInnerVessel.push_back(Point(-338.400000,829.634159,849.610191));
fInnerVessel.push_back(Point(-327.600000,861.860106,881.379357));
fInnerVessel.push_back(Point(-307.500000,918.405976,934.779044));
fInnerVessel.push_back(Point(-290.100000,962.902811,978.034198));
fInnerVessel.push_back(Point(-269.100000,1012.608564,1029.724013));
fInnerVessel.push_back(Point(-260.100000,1033.197366,1050.883358));
fInnerVessel.push_back(Point(-238.800000,1081.961706,1096.201418));
fInnerVessel.push_back(Point(-227.400000,1106.528784,1120.225905));
fInnerVessel.push_back(Point(-210.600000,1139.525515,1155.809366));
fInnerVessel.push_back(Point(-187.500000,1184.686622,1201.266232));
fInnerVessel.push_back(Point(-179.100000,1201.650007,1215.053046));
fInnerVessel.push_back(Point(-174.300000,1210.714653,1221.833430));
fInnerVessel.push_back(Point(-168.600000,1220.588441,1229.885137));
fInnerVessel.push_back(Point(-162.600000,1228.620963,1237.940479));
fInnerVessel.push_back(Point(-155.700000,1237.508927,1245.522888));
fInnerVessel.push_back(Point(-147.300000,1245.682998,1254.343203));
fInnerVessel.push_back(Point(-140.100000,1252.278122,1261.571974));
fInnerVessel.push_back(Point(-134.100000,1257.774058,1265.933480));
fInnerVessel.push_back(Point(-128.400000,1261.668262,1269.423146));
fInnerVessel.push_back(Point(-111.600000,1271.559139,1279.231171));
fInnerVessel.push_back(Point(-96.600000,1279.741676,1285.909046));
fInnerVessel.push_back(Point(-83.100000,1283.356945,1290.451925));
fInnerVessel.push_back(Point(-68.100000,1286.841681,1293.751666));
fInnerVessel.push_back(Point(-55.800000,1288.729959,1295.564870));
fInnerVessel.push_back(Point(-48.000000,1289.341990,1296.163748));
fInnerVessel.push_back(Point(-47.400000,1289.379562,1352.663414));
fInnerVessel.push_back(Point(-46.800000,1289.417134,1359.258666));
fInnerVessel.push_back(Point(-45.300000,1289.511063,1403.004961));
fInnerVessel.push_back(Point(-44.700000,1289.548635,1410.095811));
fInnerVessel.push_back(Point(-10.800000,1289.699456,1410.470872));
fInnerVessel.push_back(Point(-8.400000,1287.845294,1410.497426));
fInnerVessel.push_back(Point(-6.300000,1287.845300,1410.520659));
fInnerVessel.push_back(Point(-5.700000,1288.770500,1410.527298));
fInnerVessel.push_back(Point(35.100000,1288.749826,1410.978814));
fInnerVessel.push_back(Point(35.700000,1288.749522,1351.731919));
fInnerVessel.push_back(Point(38.100000,1288.748306,1351.731901));
fInnerVessel.push_back(Point(38.700000,1288.748001,1293.403129));
fInnerVessel.push_back(Point(756.000000,1288.384530,1292.667117));
fInnerVessel.push_back(Point(757.800000,1288.383617,1294.329875));
fInnerVessel.push_back(Point(759.600000,1288.382705,1295.183193));
fInnerVessel.push_back(Point(762.600000,1288.381185,1297.093774));
fInnerVessel.push_back(Point(1814.700000,1287.677825,1294.025295));
fInnerVessel.push_back(Point(1827.300000,1286.484911,1292.398594));
fInnerVessel.push_back(Point(1854.300000,1282.007753,1290.053046));
fInnerVessel.push_back(Point(1863.300000,1279.246682,1287.122878));
fInnerVessel.push_back(Point(1879.800000,1272.531257,1281.750902));
fInnerVessel.push_back(Point(1886.700000,1268.769307,1278.211264));
fInnerVessel.push_back(Point(1901.400000,1259.679491,1269.250158));
fInnerVessel.push_back(Point(1913.100000,1250.729497,1260.580719));
fInnerVessel.push_back(Point(1920.600000,1244.190873,1254.280874));
fInnerVessel.push_back(Point(1925.400000,1239.032582,1249.652563));
fInnerVessel.push_back(Point(1934.700000,1227.500695,1240.685210));
fInnerVessel.push_back(Point(1939.500000,1220.381834,1234.966904));
fInnerVessel.push_back(Point(1942.800000,1215.217328,1230.044432));
fInnerVessel.push_back(Point(1964.400000,1177.463174,1193.918584));
fInnerVessel.push_back(Point(1979.400000,1147.741320,1165.603260));
fInnerVessel.push_back(Point(1993.800000,1118.671074,1135.601657));
fInnerVessel.push_back(Point(2004.000000,1094.656655,1113.543194));
fInnerVessel.push_back(Point(2025.600000,1047.504904,1067.206954));
fInnerVessel.push_back(Point(2034.600000,1027.789338,1048.193765));
fInnerVessel.push_back(Point(2049.900000,989.690606,1013.343072));
fInnerVessel.push_back(Point(2061.300000,960.915296,984.995187));
fInnerVessel.push_back(Point(2085.600000,897.164188,923.107446));
fInnerVessel.push_back(Point(2095.200000,871.660452,898.086444));
fInnerVessel.push_back(Point(2100.300000,858.111592,883.148631));
fInnerVessel.push_back(Point(2107.800000,837.825280,860.508772));
fInnerVessel.push_back(Point(2113.200000,821.761905,845.005717));
fInnerVessel.push_back(Point(2127.600000,777.650853,804.677652));
fInnerVessel.push_back(Point(2145.900000,717.430248,745.531919));
fInnerVessel.push_back(Point(2150.400000,700.371314,730.470494));
fInnerVessel.push_back(Point(2157.600000,671.938455,706.008436));
fInnerVessel.push_back(Point(2168.700000,627.740176,665.077589));
fInnerVessel.push_back(Point(2177.100000,592.913406,633.829952));
fInnerVessel.push_back(Point(2182.200000,571.330738,612.070660));
fInnerVessel.push_back(Point(2186.100000,554.162577,595.048765));
fInnerVessel.push_back(Point(2195.700000,509.785252,549.408626));
fInnerVessel.push_back(Point(2207.400000,449.750599,493.894634));
fInnerVessel.push_back(Point(2209.800000,434.649598,481.366606));
fInnerVessel.push_back(Point(2216.400000,392.660941,442.453569));
fInnerVessel.push_back(Point(2222.400000,352.988904,407.078081));
fInnerVessel.push_back(Point(2226.900000,323.579445,380.546465));
fInnerVessel.push_back(Point(2230.800000,298.033803,350.389214));
fInnerVessel.push_back(Point(2231.400000,292.926696,345.726558));
fInnerVessel.push_back(Point(2238.600000,218.775840,281.233865));
fInnerVessel.push_back(Point(2240.100000,203.327745,267.037691));
fInnerVessel.push_back(Point(2240.700000,191.724083,261.359221));
fInnerVessel.push_back(Point(2243.700000,115.099083,232.966873));
fInnerVessel.push_back(Point(2244.300000,91.508556,227.288403));
fInnerVessel.push_back(Point(2245.800000,5.179730,212.791603));
fInnerVessel.push_back(Point(2246.400000,0.000000,205.725631));
fInnerVessel.push_back(Point(2249.700000,0.000000,166.862784));
fInnerVessel.push_back(Point(2252.400000,0.000000,122.507522));
fInnerVessel.push_back(Point(2253.300000,0.000000,107.594614));
fInnerVessel.push_back(Point(2254.200000,0.000000,87.746292));
fInnerVessel.push_back(Point(2254.800000,0.000000,74.055937));
fInnerVessel.push_back(Point(2255.400000,0.000000,0.000000));
